kadm5_flush
kadm5_get_principal
KADM5 Functions
PHP Manual

# kadm5_get_policies

Gets all policies from the Kerberos database

### Description

array kadm5_get_policies ( resource `$handle` )

Gets an array containing the policies's names.

### Parameters

`handle`

  A KADM5 handle.

### Return Values

Returns array of policies on success or `FALSE` on failure.

### Examples

Example #1 kadm5_get_policies example

`<?php
$handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password");
print "<h1>get_policies</h1>\n";
foreach (kadm5_get_policies($handle) as $policy) {
echo "$policy<br />\n";
}
kadm5_destroy($handle);
?>`